> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/reference/limits-and-quotas/query-limits.md).

# Query limits

Query timeout, result-display, and session limits for queries in e6data.

Reference limits that apply to running queries and reading their results.

## Execution

| Limit         | Value                                         |
| ------------- | --------------------------------------------- |
| Query timeout | 1–3600 seconds (default 900); set per cluster |

When a query exceeds the cluster's timeout, it is stopped. Raise the cluster's query timeout or move heavy workloads to their own cluster - see [Create and manage clusters](/query-engine/guides/clusters/create-and-manage-clusters.md).

## Results

| Limit                            | Value                   |
| -------------------------------- | ----------------------- |
| Rows displayed in the SQL Editor | First 10,000 rows       |
| Row-limit options in the editor  | NO LIMIT, 10, 100, 1000 |

For more than 10,000 rows, use an [external connector](/query-engine/developers/connecting-to-the-engine.md) or unload to object storage with [`COPY INTO`](/query-engine/reference/sql-reference/sql-commands/copy-into.md). See [Run queries and view results](/query-engine/guides/querying/run-queries-and-view-results.md#working-with-large-result-sets).

## Sessions

| Limit                           | Value            |
| ------------------------------- | ---------------- |
| PostgreSQL session idle timeout | 1 hour (default) |

## See also

* [Run queries and view results](/query-engine/guides/querying/run-queries-and-view-results.md)
* [Cluster limits](/query-engine/reference/limits-and-quotas/cluster-limits.md)
* [Query performance basics](/query-engine/guides/querying/query-performance-basics.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/reference/limits-and-quotas/query-limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
